routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
/*-------------------------------------- SLIDE CARROSSEL ------------------------------------------------------------------*/

Route::get('/', function () {
    $slides = [
        (object)[
            'titulo'=> 'DISCIPLINA',
            'descricao'=>'Respeito a hierarquia e aos valores familiares',
            'url'=> '#link',
            'imagem'=> 'imagens/slide/photo01.jpg'
        ],

        (object)[
            'titulo'=> 'ENSINO',
            'descricao'=>'Construindo cidadões que amam e valorizam sua patria',
            'url'=> '#link',
            'imagem'=> 'imagens/slide/photo02.jpg'
        ],

        (object)[
            'titulo'=> 'CULTURA',
            'descricao'=>'Para transformar e mudar, trazendo alegria e conhecimento',
            'url'=> '#link',
            'imagem'=> 'imagens/slide/photo03.jpg'
        ]
    ];
    return view('dashboard.index', compact('slides'));
});

/*-------------------------------------------------------------------------------------------------------------------------*/

Auth::routes();

Route::group(['middleware' => 'auth','prefix' => 'admin'], function () {


  /*--------------------- ROTAS DE USUARIO --------------------------------------------------------------------------------*/
  
  Route::get('/', 'Admin\AdminController@index');
  Route::resource('usuarios', 'Admin\UsuarioController');

  Route::get('usuarios/papel/{id}', ['as'=>'usuarios.papel','uses'=>'Admin\UsuarioController@papel']);
  Route::post('usuarios/papel/{papel}', ['as'=>'usuarios.papel.store','uses'=>'Admin\UsuarioController@papelStore']);
  Route::delete('usuarios/papel/{usuario}/{papel}', ['as'=>'usuarios.papel.destroy','uses'=>'Admin\UsuarioController@papelDestroy']);


 /*-------------------------------------------------------------------------------------------------------------------------*/


  /*--------------------- ROTAS DE PAPEIS --------------------------------------------------------------------------------*/

  Route::resource('papeis', 'Admin\PapelController');  
  
  Route::get('papeis/permissao/{id}', ['as'=>'papeis.permissao','uses'=>'Admin\PapelController@permissao']);
  Route::post('papeis/permissao/{permissao}', ['as'=>'papeis.permissao.store','uses'=>'Admin\PapelController@permissaoStore']);
  Route::delete('papeis/permissao/{papel}/{permissao}', ['as'=>'papeis.permissao.destroy','uses'=>'Admin\PapelController@permissaoDestroy']);


  /*-------------------------------------------------------------------------------------------------------------------------*/


  /*--------------------- ROTAS DE MATRICULA --------------------------------------------------------------------------------*/

  Route::resource('matricula', 'MatriculaController');

  Route::get('matricula/listar/alunoscadastrados',['as'=>'matricula.lista','uses'=> 'MatriculaController@lista']);
  Route::get('matricula/Dados/{id}',['as'=>'matricula.vermais','uses'=>'MatriculaController@vermais']); 
  Route::post('matricula/listar/alunoscadastrados/busca',['as'=>'matricula.buscar','uses'=> 'MatriculaController@busca']);


  /*-----------------------ROTAS DE TESTES---------------------------------------------------------------*/

  //Route::get('matricula/create',['as'=>'matricula.create','uses'=>'MatriculaController@create']);
  //Route::post('matricula/cadastrar',['as'=>'matricula.store','uses'=>'MatriculaController@store']);

  /*------------------------------------------------------------------------------------------------------*/

  
  /*--------------------- ROTAS DE PRÉ MATRICULA ------------------------------------------------------------*/

    Route::get('/prematricula/inicio',['as'=>'prematricula.index','uses'=>'PreMatriculaController@index']);
    Route::post('/prematricula/salvar',['as'=>'prematricula.store','uses'=>'PreMatriculaController@store']);
    Route::get('/prematricula/{id}/comprovantepdf',['as'=>'prematricula.gerarpdf','uses'=>'PDFController@gerarpdf']);

  /*-----------------------------------------------------------------------------------------------------------*/

  /*------------------------ROTAS DE ANOTAÇÕES----------------------------------------------------------------*/
    Route::get('renovacao/inicio',['as'=>'renovacao.teste','uses'=>'RenovacaoController@listardados']);
    Route::post('renovacao/salvar',['as'=>'renovacao.store','uses'=>'RenovacaoController@store']);
	
    


  /*-----------------------------------------------------------------------------------------------------------*/
	
  /*-----------------------ROTAS DE RELATORIOS---------------------------------------------------------------*/

  Route::get('relatorios/inicio',['as'=>'relatorios.index','uses'=>'RelatorioController@index']);
  Route::get('relatorios/lista/Prematricula',['as'=>'relatorios.lista','uses'=> 'RelatorioController@listaPrematricula']);
  Route::post('relatorios/lista/cadastrados/busca-prematricula',['as'=>'relatorio.prematricula.buscar','uses'=> 'RelatorioController@BuscarAluno']);
  Route::get('relatorios/lista/Matriculados',['as'=>'relatorios.lista.matriculados','uses'=> 'RelatorioController@listaMatricula']);
  Route::post('relatorios/lista/matricula/busca-matricula',['as'=>'relatorio.matricula.buscar','uses'=> 'RelatorioController@buscaMatricula']);
  Route::get('relatorios/lista/prematricula/deletecadastro/{id}',['as'=>'relatorio.prematricula.destroy','uses'=>'RelatorioController@destroy']);
  Route::get('relatorios/lista/Renovacao',['as'=>'relatorio.renovacao.lista','uses'=> 'RelatorioController@listaRenovacao']);
  Route::get('relatorios/lista/Renovacao/visualizar-dados/{id}',['as'=>'renovacao.edit','uses'=>'RelatorioController@editrenovacao']);
  Route::put('relatorios/lista/Renovacao/atualizar-dados/{id}',['as'=>'renovacao.update','uses'=>'RelatorioController@update']);
  Route::get('relatorios/lista/renovacao/delete/{id}',['as'=>'relatorio.renovacao.destroy','uses'=>'RelatorioController@renovacaoDestroy']);
  

  /*------------------------------------------------------------------------------------------------------*/


  /*------------------------ROTAS DE ANOTAÇÕES----------------------------------------------------------------*/
  
  Route::get('anotacao/inicio',['as'=>'anotacao.index','uses'=>'AnotacaoController@index']);
  Route::get('anotacao/adicionar',['as'=>'anotacao.adicionar','uses'=>'AnotacaoController@create']);
  Route::post('anotacao/salvar',['as'=>'anotacao.store','uses'=>'AnotacaoController@store']);
  Route::get('anotacao/listar-anotações',['as'=>'anotacao.listar','uses'=> 'AnotacaoController@listaAnotacao']);
  Route::get('anotacao/lista/visualizar-dados/{id}',['as'=>'anotacao.edit','uses'=>'AnotacaoController@edit']);
  Route::put('anotacao/lista/atualizar-dados/{id}',['as'=>'anotacao.update','uses'=>'AnotacaoController@update']);
  Route::get('anotacao/lista/deleteanotacao/{id}',['as'=>'anotacao.destroy','uses'=>'AnotacaoController@destroy']);

  /*------------------------------------------------------------------------------------------------------*/
  
  /*----------------------- ROTAS DE PERFIL ----------------------------------------------------------------------*/

	Route::get('perfil/atualizar', ['as'=>'perfil.index','uses'=>'Site\SiteController@perfil']);
    Route::put('perfil/atualizar', ['as'=>'perfil.index.update','uses'=>'Site\SiteController@perfilUpdate']);

    /*-----------------------------------------------------------------------------------------------------------*/
	
	
	Route::get('pdf', 'PDFController@gerarpdf');

    //Route::get('', 'RelatorioController@listardados');
});

resources/views/admin/_caminho.blade.php
<div class="row">
	<nav>
		<div class="nav-wrapper {{config('app.corSite')}}">
		  <div class="col s12">
		  	@if(isset($caminhos))
			  	@foreach($caminhos as $caminho)
				  	@if($caminho['url'])
				    <a href="{{$caminho['url']}}" class="breadcrumb">{{$caminho['titulo']}}</a>
				    @else
				    	<span class="breadcrumb">{{$caminho['titulo']}}</span>
				    @endif

			    @endforeach
		    @else
		     <span class="breadcrumb">Início</span>
		    @endif
		  </div>
		</div>
	</nav>
</div>

resources/views/admin/index.blade.php
@extends('layouts.app')
@section('content')
<style>
img {
  -webkit-filter: drop-shadow(5px 5px 5px #222 );
  filter: drop-shadow(5px 5px 5px #222);
}

/* Buzz */
@-webkit-keyframes hvr-buzz {
  50% {
    -webkit-transform: translateX(3px) rotate(2deg);
    transform: translateX(3px) rotate(2deg);
  }
  100% {
    -webkit-transform: translateX(-3px) rotate(-2deg);
    transform: translateX(-3px) rotate(-2deg);
  }
}
@keyframes hvr-buzz {
  50% {
    -webkit-transform: translateX(3px) rotate(2deg);
    transform: translateX(3px) rotate(2deg);
  }
  100% {
    -webkit-transform: translateX(-3px) rotate(-2deg);
    transform: translateX(-3px) rotate(-2deg);
  }
}
.hvr-buzz {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
}
.hvr-buzz:hover, .hvr-buzz:focus, .hvr-buzz:active {
  -webkit-animation-name: hvr-buzz;
  animation-name: hvr-buzz;
  -webkit-animation-duration: 0.15s;
  animation-duration: 0.15s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: infinite;
  animation-iteration-count: infinite;
}

/* Buzz Out */
@-webkit-keyframes hvr-buzz-out {
  10% {
    -webkit-transform: translateX(3px) rotate(2deg);
    transform: translateX(3px) rotate(2deg);
  }
  20% {
    -webkit-transform: translateX(-3px) rotate(-2deg);
    transform: translateX(-3px) rotate(-2deg);
  }
  30% {
    -webkit-transform: translateX(3px) rotate(2deg);
    transform: translateX(3px) rotate(2deg);
  }
  40% {
    -webkit-transform: translateX(-3px) rotate(-2deg);
    transform: translateX(-3px) rotate(-2deg);
  }
  50% {
    -webkit-transform: translateX(2px) rotate(1deg);
    transform: translateX(2px) rotate(1deg);
  }
  60% {
    -webkit-transform: translateX(-2px) rotate(-1deg);
    transform: translateX(-2px) rotate(-1deg);
  }
  70% {
    -webkit-transform: translateX(2px) rotate(1deg);
    transform: translateX(2px) rotate(1deg);
  }
  80% {
    -webkit-transform: translateX(-2px) rotate(-1deg);
    transform: translateX(-2px) rotate(-1deg);
  }
  90% {
    -webkit-transform: translateX(1px) rotate(0);
    transform: translateX(1px) rotate(0);
  }
  100% {
    -webkit-transform: translateX(-1px) rotate(0);
    transform: translateX(-1px) rotate(0);
  }
}
@keyframes hvr-buzz-out {
  10% {
    -webkit-transform: translateX(3px) rotate(2deg);
    transform: translateX(3px) rotate(2deg);
  }
  20% {
    -webkit-transform: translateX(-3px) rotate(-2deg);
    transform: translateX(-3px) rotate(-2deg);
  }
  30% {
    -webkit-transform: translateX(3px) rotate(2deg);
    transform: translateX(3px) rotate(2deg);
  }
  40% {
    -webkit-transform: translateX(-3px) rotate(-2deg);
    transform: translateX(-3px) rotate(-2deg);
  }
  50% {
    -webkit-transform: translateX(2px) rotate(1deg);
    transform: translateX(2px) rotate(1deg);
  }
  60% {
    -webkit-transform: translateX(-2px) rotate(-1deg);
    transform: translateX(-2px) rotate(-1deg);
  }
  70% {
    -webkit-transform: translateX(2px) rotate(1deg);
    transform: translateX(2px) rotate(1deg);
  }
  80% {
    -webkit-transform: translateX(-2px) rotate(-1deg);
    transform: translateX(-2px) rotate(-1deg);
  }
  90% {
    -webkit-transform: translateX(1px) rotate(0);
    transform: translateX(1px) rotate(0);
  }
  100% {
    -webkit-transform: translateX(-1px) rotate(0);
    transform: translateX(-1px) rotate(0);
  }
}
.hvr-buzz-out {
  display: inline-block;
  vertical-align: middle;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  box-shadow: 0 0 1px rgba(0, 0, 0, 0);
}
.hvr-buzz-out:hover, .hvr-buzz-out:focus, .hvr-buzz-out:active {
  -webkit-animation-name: hvr-buzz-out;
  animation-name: hvr-buzz-out;
  -webkit-animation-duration: 0.75s;
  animation-duration: 0.75s;
  -webkit-animation-timing-function: linear;
  animation-timing-function: linear;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}
</style>
<div class="container">
    <h5 class="center">Painel Administrativo</h5>

    @include('admin._caminho')
    <div class="row">
        @can('perfil-view')
        <div class="col s12 m6 hvr-buzz-out hvr-buzz-out">
            <div class="card indigo lighten-1">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Perfil</span>
                            <p>Alterar Dados de Perfil</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('perfil.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/user_edit.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan

        @can('usuario-view')
        <div class="col s12 m6 hvr-buzz-out hvr-buzz-out">
            <div class="card light-blue darken-3">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Usuario</span>
                            <p>Listar Usuario cadastrados</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('usuarios.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/user.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan

        @can('papel-view')
        <div class="col s12 m6 hvr-buzz-out hvr-buzz-out">
            <div class="card cyan darken-3">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Papéis</span>
                            <p>Configurações de Acesso</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('papeis.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/key.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan

        @can('prematricula-view')
        <div class="col s12 m6 hvr-buzz-out">
            <div class="card green darken-2">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Pré-Matricula</span>
                            <p>Realizar Pré-Matricula</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('prematricula.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/confirm.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan
        
        @can('matricula-view')
        <div class="col s12 m6 hvr-buzz-out">
            <div class="card amber darken-2">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Matricula</span>
                            <p>Painel de Matriculados</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('matricula.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/matricula.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan

        @can('renovacao-view')
        <div class="col s12 m6 hvr-buzz-out hvr-buzz-out">
            <div class="card deep-orange">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Renovação</span>
                            <p>Renovar Matricula</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('renovacao.teste')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/user_confirm.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan

        @can('relatorios-view')
        <div class="col s12 m6 hvr-buzz-out hvr-buzz-out">
            <div class="card brown darken-1">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Relatórios</span>
                            <p>Pré-Matricula, Renovações e Matriculados</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('relatorios.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/relatorio.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan

        @can('anotacao-view')
        <div class="col s12 m6 hvr-buzz-out hvr-buzz-out">
            <div class="card grey darken-3">
                <div class="row">
                    <div class="col s8 m8">
                        <div class="card-content white-text">
                            <span class="card-title">Anotações</span>
                            <p>Edite as informações dos documentos</p>
                        </div>
                        <div class="card-action">
                            <a href="{{route('anotacao.index')}}" style="color:white; font-weight:bold;">Entrar</a>
                        </div>
                    </div>
                    <div class="col s4 m4">
                        <img 
                        class="responsive-img"
                        src="{{ url('imagens/icons/text_note.png') }}"
                        style="
                        position:relative; 
                        float:right; 
                        margin:10px;">
                    </div>
                </div>
            </div>
        </div>
        @endcan
    </div>

</div>

@endsection